Support » Plugin: Amazon Product in a Post Plugin » Is it compatible with PHP 7.2?

  • Resolved awtx

    (@awtx)



    While testing our site for PHP 7.2 compatibility, I noticed a few warnings and an error for your plugin. You haven’t had an update in a year, perhaps this is a good time to tweak the plugin.

    FILE: plugins/amazon-product-in-a-post-plugin/inc/amazon-product-in-a-post-aws-signed-request.php
    Line 1258 | WARNING INI directive 'track_errors' is deprecated since PHP 7.2
    Line 1277 | WARNING INI directive 'track_errors' is deprecated since PHP 7.2
    FILE: plugins/amazon-product-in-a-post-plugin/inc/amazon-product-in-a-post-sha256.inc.php
    Line 40 | WARNING Use of deprecated PHP4 style class constructor is not supported since PHP 7.
    Line 110 | ERROR Bitwise shifts by negative number will throw an ArithmeticError in PHP 7.0
Viewing 2 replies - 1 through 2 (of 2 total)
  • Did you have any problems running “Amazon Product In A Post” on PHP 7.1? I get the same warning from Siteground for 7.1.

    Thanks,

    Tom

    Plugin Author Don Fischer

    (@prophecy2040)

    Version 4.0 should address these issues. Please let me know if you run into any other issues.

    Warm regards,
    Don

Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.